org.firebirdsql.jdbc

## Class StoredProcedureMetaDataFactory

- java.lang.Object
- - org.firebirdsql.jdbc.StoredProcedureMetaDataFactory

    public abstract class StoredProcedureMetaDataFactory
    extends java.lang.Object

Factory to retrieve meta-data on stored procedures in a Firebird database.

### Constructor Summary

Constructors
Constructor and Description
`StoredProcedureMetaDataFactory()`

### Method Summary

Methods
`static StoredProcedureMetaData` `getInstance(FBConnection connection)` Retrieve a `StoredProcedureMetaData` object for a Connection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StoredProcedureMetaDataFactory

    public StoredProcedureMetaDataFactory()

### Method Detail

#### getInstance

    public static StoredProcedureMetaData getInstance(FBConnection connection)
                                               throws java.sql.SQLException

Retrieve a `StoredProcedureMetaData` object for a Connection.

Parameters:
  `connection` - The connection for which data is to be retrieved
Returns:
  `StoredProcedureMetaData` for the current connection
Throws:
  `java.sql.SQLException` - if an exception occurs while retrieving meta-data